Bug 164855 - [PATCH] textproc/py-chardet: adjust value of MASTER_SITES, and USE_PYDISTUTILS
Summary: [PATCH] textproc/py-chardet: adjust value of MASTER_SITES, and USE_PYDISTUTILS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-07 16:00 UTC by Olivier Duchateau
Modified: 2013-12-23 22:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.92 KB, patch)
2012-02-07 16:00 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau 2012-02-07 16:00:36 UTC
Adjust value of MASTER_SITES, and USE_PYDISTUTILS.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-02-07 16:00:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2012-02-19 23:09:52 UTC
State Changed
From-To: open->feedback

fails to build 
http://tb.smeets.im/tb/index.php?action=describe_port&id=2114
Comment 3 Martin Wilke freebsd_committer 2012-03-04 12:50:04 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2012-03-04 12:50:14 UTC
miwi        2012-03-04 12:49:56 UTC

  FreeBSD ports repository

  Modified files:
    textproc/py-chardet  pkg-descr 
  Log:
  - Update WWW
  
  PR:             164855
  Submitted by:   Olivier Duchateau <duchateau.olivier@gmail.com>
  
  Revision  Changes    Path
  1.2       +1 -2      ports/textproc/py-chardet/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Jimmy Olgeni freebsd_committer 2012-03-30 21:55:06 UTC
State Changed
From-To: closed->open

This patch is needed by ports/166252; the dfilter message seems to refer to a different patch.
Comment 6 Jimmy Olgeni freebsd_committer 2012-03-30 21:59:14 UTC
Responsible Changed
From-To: miwi->olgeni

Taking this PR.
Comment 7 Mark Linimon freebsd_committer freebsd_triage 2013-01-20 01:28:56 UTC
Responsible Changed
From-To: olgeni->rm

Over to new maintainer.
Comment 8 dfilter service freebsd_committer 2013-12-23 21:52:10 UTC
Author: rm
Date: Mon Dec 23 21:52:02 2013
New Revision: 337301
URL: http://svnweb.freebsd.org/changeset/ports/337301

Log:
  - update to 2.2.1
  - support staging
  - update WWW
  
  PR:		164855
  Submitted by:	olivierd (based on)

Deleted:
  head/textproc/py-chardet/pkg-plist
Modified:
  head/textproc/py-chardet/Makefile
  head/textproc/py-chardet/distinfo
  head/textproc/py-chardet/pkg-descr

Modified: head/textproc/py-chardet/Makefile
==============================================================================
--- head/textproc/py-chardet/Makefile	Mon Dec 23 21:38:27 2013	(r337300)
+++ head/textproc/py-chardet/Makefile	Mon Dec 23 21:52:02 2013	(r337301)
@@ -2,36 +2,25 @@
 # $FreeBSD$
 
 PORTNAME=	chardet
-PORTVERSION=	2.0.1
-PORTREVISION=	1
+PORTVERSION=	2.2.1
 CATEGORIES=	textproc python
-#MASTER_SITES=	http://chardet.feedparser.org/download/
-MASTER_SITES=	http://darkstar.ist.utl.pt/slackware/addon/slacky/%SUBDIR%/ \
-		http://repository.slacky.eu/%SUBDIR%/ \
-		http://slack.isper.sk/pub/%SUBDIR%/ \
-		http://www.slackware.org.uk/slacky/%SUBDIR%/
-MASTER_SITE_SUBDIR=	slackware64-13.37/libraries/python2-${PORTNAME}/${PORTVERSION}/src
+MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
-DISTNAME=	python2-${PORTNAME}-${PORTVERSION}
-EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	rm@FreeBSD.org
 COMMENT=	Character encoding auto-detection in Python
 
 LICENSE=	LGPL21
 
-USE_PYTHON=	yes
-USE_PYDISTUTILS=yes
-
-DOCSDIR=	${PREFIX}/share/doc/py-${PORTNAME}
+USE_PYTHON=		yes
+USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
 
+DOCSDIR=	${PREFIX}/share/doc/${PYTHON_PKGNAMEPREFIX}${PORTNAME}
 PORTDOCS=	*
 
-NO_STAGE=	yes
 post-install:
-.if !defined(NOPORTDOCS)
-	@${MKDIR} ${DOCSDIR}
-	@(cd ${WRKSRC}/docs && ${COPYTREE_SHARE} . ${DOCSDIR})
-.endif
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	(cd ${WRKSRC}/docs && ${COPYTREE_SHARE} . ${STAGEDIR}${DOCSDIR})
 
 .include <bsd.port.mk>

Modified: head/textproc/py-chardet/distinfo
==============================================================================
--- head/textproc/py-chardet/distinfo	Mon Dec 23 21:38:27 2013	(r337300)
+++ head/textproc/py-chardet/distinfo	Mon Dec 23 21:52:02 2013	(r337301)
@@ -1,2 +1,2 @@
-SHA256 (python2-chardet-2.0.1.tgz) = 56fa0c37189b0a5f082d064dec59d69a044aaa3eeb7acb9b3081e2ba306deaa4
-SIZE (python2-chardet-2.0.1.tgz) = 177793
+SHA256 (chardet-2.2.1.tar.gz) = f1964f73f5ee9b7e0309098b9512d587fbba6dd5d1f3797b1c95529e5241bf09
+SIZE (chardet-2.2.1.tar.gz) = 180319

Modified: head/textproc/py-chardet/pkg-descr
==============================================================================
--- head/textproc/py-chardet/pkg-descr	Mon Dec 23 21:38:27 2013	(r337300)
+++ head/textproc/py-chardet/pkg-descr	Mon Dec 23 21:52:02 2013	(r337301)
@@ -1,3 +1,3 @@
 Character encoding auto-detection in Python.
 
-WWW: https://github.com/byroot/chardet
+WWW: https://github.com/chardet/chardet/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Ruslan Makhmatkhanov freebsd_committer 2013-12-23 21:52:23 UTC
State Changed
From-To: open->closed

Committed, thank you!